View Issue Details

IDProjectCategoryView StatusLast Update
0003015TechDraw[FreeCAD] Featurepublic2017-05-11 16:52
ReporterKunda1Assigned Towandererfan 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003015: TechDraw - Geometric Hatch PAT compatibility
DescriptionThe "delta-X" and dashed line portions of the Autodesk PAT specification are not implemented correctly. This problem involves a combination of line weight, zoom scale, and dash pattern length in an unknown algorithm.
Tagshatch

Relationships

related to 0002929 closedwandererfan GeomHatch doesn't draw lines from an absolute position 

Activities

Kunda1

2017-05-10 16:15

administrator   ~0008939

@wandererfan is 0002929 a child issue of this ticket?

wandererfan

2017-05-10 17:52

manager   ~0008940

From a programmers POV, more or less the same problem. Should be fixed by commit 7628089.

wandererfan

2017-05-11 16:36

manager   ~0008960

see 0002929

Related Changesets

FreeCAD: master 76280891

2017-03-28 01:10:33

WandererFan


Committer: wmayer Details Diff
DrawGeomHatch improvements

-draw & align dash patterns correctly on all QPainters using QGPathItem
-Allow patterns to start with space
-ensure horiz & vert lines pass through pattern origin
-Scalable complex patterns
Affected Issues
0002929, 0003015
mod - src/Mod/TechDraw/App/DrawGeomHatch.cpp Diff File
mod - src/Mod/TechDraw/App/HatchLine.cpp Diff File
mod - src/Mod/TechDraw/App/HatchLine.h Diff File
mod - src/Mod/TechDraw/Gui/QGIFace.cpp Diff File
mod - src/Mod/TechDraw/Gui/QGIFace.h Diff File

Issue History

Date Modified Username Field Change
2017-05-01 11:58 Kunda1 New Issue
2017-05-09 19:29 Kunda1 Relationship added related to 0002929
2017-05-10 01:32 Kunda1 Tag Attached: hatch
2017-05-10 16:15 Kunda1 Note Added: 0008939
2017-05-10 17:52 wandererfan Note Added: 0008940
2017-05-11 16:36 wandererfan Assigned To => wandererfan
2017-05-11 16:36 wandererfan Status new => resolved
2017-05-11 16:36 wandererfan Resolution open => fixed
2017-05-11 16:36 wandererfan Fixed in Version => 0.17
2017-05-11 16:36 wandererfan Note Added: 0008960
2017-05-11 16:51 Kunda1 Changeset attached => FreeCAD master 76280891
2017-05-11 16:52 Kunda1 Status resolved => closed